<?php

class Certificados extends CI_Controller {

    function __construct() {

        parent::__construct();
        $this->load->model('Certificado_Model');
        $this->load->model('Auditoria_Model');
        $this->load->database();
        $this->load->library('Criptografia');
        $this->load->library('Sanitize');
        $this->load->library('pdf');
        $this->load->library('codebar');
    }

    public function eletronico() {

        if (isset($_SESSION['admin']) == TRUE) {

            $dados = array('admin' => $this->Auditoria_Model->getLoginAdminporID(), 'novos' => $this->Certificado_Model->obtemcertificadonovos());

            $this->load->view('certificados/eletronico', $dados);
        } else {
            redirect();
        }
    }

    public function arquivar() {

        if (isset($_SESSION['admin']) == TRUE) {

            $dados = array('admin' => $this->Auditoria_Model->getLoginAdminporID(), 'assinaturas' => 1);

            $this->load->view('certificados/arquivar', $dados);
        } else {
            redirect();
        }
    }

    public function certificadosarquivados() {

        if (isset($_SESSION['admin']) == TRUE) {

            $_POST = $this->sanitize->filter($this->input->post());
            $inicio = $this->input->post('inicio');
            $fim = $this->input->post('fim');

            $this->form_validation->set_rules('inicio', 'inicio', 'trim|required');
            $this->form_validation->set_rules('fim', 'fim', 'trim|required');
            if ($this->form_validation->run() == FALSE) {

                $form = validation_errors('<div class="alert alert-warning" role="alert"><div class="">  <i class="fa fa-info-circle"></i> <span> ', ' </span> </div> </div>');
                $this->session->set_flashdata('erro-form', $form);

                redirect('arquivar');
            } else {

                $certificados = $this->Certificado_Model->obtemcertificadoporperiodo($inicio, $fim);
                if ($certificados != NULL) {
                $pdf = new Codebar('L', 'mm', 'A4');
                $pdf->AliasNbPages();
                foreach ($certificados as $certificado) {

                    $assina = $this->Certificado_Model->getAssinaturaAtual($certificado->id_aluno);

                    $pdf->AddPage();
                    // IMAGEM 
                    $pdf->Image('../../amazonia/assets/img/certificado/Certificado-5.jpg', 0, 0, 297); //Logo
                    $pdf->SetFont('Arial', 'B', 9);
                    $pdf->Ln(18); // Quebra de Linha
                    $pdf->setX(220);
                    $pdf->Ln(5); // Quebra de linha
                    // FIM DA IMAGEM 

                    $pdf->setY("40");
                    $pdf->setX("10");
                    $pdf->SetFont('Arial', 'B', 40);
                    $pdf->Cell(0, 13, '        ', 0, 1, 'C');
                    $pdf->SetFont('Arial', '', 16);
                    $pdf->Cell(0, 10, 'conferido a', 0, 1, 'C');
                    $pdf->SetFont('Arial', 'B', 16);
                    $pdf->Cell(0, 10, utf8_decode($certificado->nome_aluno), 0, 1, 'C');
                    // DOCUMENTO
                    //Rg:1 ; CPF:2 ; CNH:3
                    $tipo_doc = $assina['tipo_doc'];

                    $pdf->setY("70");
                    if (($tipo_doc == 1) && $assina['documento']) {
                        $pdf->Cell(0, 10, 'RG: ' . $assina['documento'], 0, 1, 'C');
                    } else if (($tipo_doc == 2) && $assina['documento']) {
                        $pdf->Cell(0, 10, 'CPF: ' . $assina['documento'], 0, 1, 'C');
                    } else if (($tipo_doc == 3) && $assina['documento']) {
                        $pdf->Cell(0, 10, 'CNH: ' . $assina['documento'], 0, 1, 'C');
                    }

                    // SITUAÇÃO

                    if ($certificado->concluido == 1) {

                        if ($certificado->nota >= 50) {
                            $situacao = utf8_decode('Por ter concluído o Curso Livre ');
                            $situacao2 = "Aprovado";
                        } else {
                            $situacao = utf8_decode('Por ter participado do Curso Livre ');
                            $situacao2 = "Reprovado";
                        }
                    } else {
                        $situacao = utf8_decode('Por ter participado do Curso Livre ');
                        $situacao2 = "Cursando";
                    }

                    $curso = utf8_decode($certificado->nome_curso);
                    $pdf->setY("76");
                    $pdf->SetFont('Arial', '', 16);
                    $pdf->Cell(0, 10, $situacao, 0, 1, 'C');
                    $pdf->setY(85);
                    $pdf->MultiCell(0, 6, $curso, 0, 'C');
                    $pdf->setY(100);
                    $pdf->setX(50);
                    $pdf->Cell(0, 5, utf8_decode('Tipo: Capacitação/Atualização'), 0, 1);

                    // HISTÓRICO
                    if ($certificado->concluido == 1) {
                        if ($certificado->nota >= 50) {
                            $pdf->setX(50);
                            $pdf->Cell(0, 5, 'Aproveitamento: ' . number_format($certificado->nota, 1, ',', '.'), 0, 1);
                        }
                    }

                    $pdf->setX(50);
                    $pdf->Cell(0, 5, utf8_decode('Certificado Registrado Sob. Nº 008.') . $certificado->id_historico, 0, 1);

                    // HISTÓRICO E CARGA HORÁRIA
                    $pdf->setY(100);
                    $pdf->setX(180);
                    $pdf->Cell(0, 5, utf8_decode('Carga Horária: ') . $certificado->carga_horaria . ' Horas', 0, 1);
                    $pdf->setX(180);
                    // FIM DO HISTÓRICO E CARGA HORÁRIA

                    if ($certificado->concluido == 1) {
                        if ($certificado->nota >= 50) {
                            $pdf->setX(180);
                            $pdf->Cell(0, 5, utf8_decode('Período: ') . date("d/m/Y", strtotime($certificado->primeiro_dia)) . utf8_decode(' a ') . date("d/m/Y", strtotime($certificado->ultimo_dia)), 0, 1);
                        }
                    } else {
                        $pdf->Cell(0, 5, utf8_decode('Período: ') . date("d/m/Y", strtotime($certificado->primeiro_dia)), 0, 1);
                    }
                    $pdf->SetFont('Arial', '', 16);
                    $pdf->SetXY(10, 126);
                    $texto = utf8_decode("Base Legal: Lei Nº 9394/96, Art 40, Resolução CNE/CEB Nª 6/2012, Art. 25ª.");
                    $texto2 = utf8_decode("Decreto 5154/2004, Art. 3ª");
                    $pdf->MultiCell(0, 5, $texto, 0, 'C');
                    $pdf->MultiCell(0, 5, $texto2, 0, 'C');

                    if ($certificado->nota >= 50) {
                        $pdf->setY(117);
                        $pdf->Cell(0, 10, utf8_decode('Situação: ') . $situacao2, 0, 1, 'C');
                    }
                    $pdf->SetFont('Arial', '', 16);
                    if ($certificado->nota >= 50) {
                        $pdf->Cell(430, 22, utf8_decode('Belém, ') . date("d/m/Y"), 0, 1, 'C');
                    } else {
                        $pdf->Cell(430, 8, utf8_decode('Belém, ') . date("d/m/Y"), 0, 1, 'C');
                    }

                    // ASSINATURA DO ALUNO
                    if ($assina['assinatura'] && $assina['ativo'] == 1) {

                        $pdf->Image($assina['assinatura'], 30, 146, 95, 45); // Assinatura dos Alunos  
                    }

                    $pdf->SetFont('Arial', '', 13);
                    $pdf->SetLineWidth(0.2);
                    $pdf->Line(30, 170, 125, 170);
                    $pdf->SetXY(50, 175);
                    $pdf->Cell(0, 1, '', 0, 0);
                    // Página do Verso	
                    $pdf->AddPage();
                    $pdf->Image('../../amazonia/assets/img/certificado/Certificado-4-Costa.jpg', 0, 0, 297);
                    $pdf->SetFont('Arial', '', 13);
                    $pdf->SetX(18);
                    $pdf->Cell(0, 20, utf8_decode('Conteúdo - Ementa'), 0, 1, 'L');
                    $pdf->SetXY(18, 43);
                    $texto = strip_tags(utf8_decode($certificado->ementa));
                    $pdf->MultiCell(0, 5, preg_replace('/[^\p{L}\p{N}\s]/', '', $texto), 0, 'L');
                    $pdf->SetXY(150, 158);
                    $pdf->Cell(0, 1, 'Certificado emitido eletronicamente', 0, 0);
                    $pdf->SetXY(150, 164);
                    $pdf->Cell(0, 1, 'Autenticar em: www.amazoniacursos.com.br/certificados/', 0, 0);
                    $pdf->SetXY(150, 170);
                    $pdf->Cell(0, 1, utf8_decode('Código de Autenticação: ') . $certificado->cod_autenticacao, 0, 0);
                }
                $pdf->Output();
                } else {
                    $this->session->set_flashdata('erro-certificado', '<div class="alert alert-warning" role="alert"><i class="fa fa-info-circle"></i> Não existe certificados para o período informado </div>');
                    redirect('arquivar');
                }
            }
        } else {
            redirect();
        }
    }

    public function json_get_certificado() {

        $historico = $this->input->post('historico', TRUE);

        if (empty($historico) || is_null($historico)) {
            echo json_encode(array('resp' => FALSE));
            exit();
        }

        $certificados = $this->Certificado_Model->get_data($historico);

        if (is_null($certificados) || empty($certificados)) {
            echo json_encode(array('resp' => FALSE));
            exit();
        } else {
            echo json_encode(array('resp' => TRUE, 'result' => $certificados, 'message' => 'ok'));
        }
    }

    public function enviacertificados() {

        $_POST = $this->sanitize->filter($this->input->post());
        $id = (int) substr($this->input->post('id'), 0, -1);
        $obend = $this->Certificado_Model->obtemenderecoenvio($id);
        if ($obend != FALSE) {
        
        $string = preg_replace("[^0-9]", "", $obend['cep']);
        $string = substr($string, 0, 5) . '-' . substr($string, 5, 3);

        if ($obend['complemento'] != "") {
            $endereco = mb_strtoupper($obend['endereco'] . ', ' . $obend['numero'] . ', ' . $obend['complemento'] . ', ' . $obend['bairro'] . ', ' . $obend['cidade'] . ', ' . $obend['estado'] . ', CEP: ' . $string);
        } else {
            $endereco = mb_strtoupper($obend['endereco'] . ', ' . $obend['numero'] . ', ' . $obend['bairro'] . ', ' . $obend['cidade'] . ', ' . $obend['estado'] . ', CEP: ' . $string);
        }

        $enviado = $this->Certificado_Model->certificadoenviado($id);

        if ($enviado['situacao'] != 1) {

            $historico = $enviado['id_historico'];
            $transacao = $enviado['transacao'];
            $tipo = $enviado['id_tipo'];
            $this->Certificado_Model->envia($id, $endereco, $historico, $transacao, $tipo);
            $data = array('situacao' => true, 'id' => $id);
            echo json_encode($data);
        } else {
            $data = array('situacao' => false);
            echo json_encode($data);
        }
      } else {
          $data = array('situacao' => 'erro');
          echo json_encode($data);
      }
    }

    private function multiexplode($delimiters, $data) {
        $MakeReady = str_replace($delimiters, $delimiters[0], $data);
        $Return = explode($delimiters[0], $MakeReady);
        return $Return;
    }

    public function gera_certificado() {

        $cert = 1; // 1 - MODELO NOVO | 2 - MODELO ANTIGO
        if ($cert == 1) {
        $all_certificados = $this->Certificado_Model->getAllCertificados();
       
        $pdf = new Codebar('P', 'mm', 'A4');
        $pdf->AliasNbPages();
        $ementa = '';
        foreach ($all_certificados as $certificado) {

            $assina = $this->Certificado_Model->getAssinaturaAtual($certificado->id_aluno);

            $pdf->AddPage();
            $pdf->SetFont('Arial', 'B', 7);
            $pdf->setXY("130", "46");
            $pdf->setXY("130", "50");
            $pdf->SetFont('Arial', 'B', 12);
            $pdf->setXY("20", "42");
            // ENDEREÇO 
            $pdf->Cell(0, 5, utf8_decode("Endereçado"), 0, 1, ' ');

            //Código de Barras
            $pdf->EAN13(90, 270, $certificado->id_certificado);
            $pdf->SetFont('Arial', 'B', 10);
            $pdf->setXY(23, 48);
            $pdf->SetFont('Arial', '', 10);
            $pdf->MultiCell(85, 5, utf8_decode(mb_strtoupper($certificado->nomealuno) . "\n" . mb_strtoupper($certificado->endereco) . ", " . $certificado->numero . ", " . $certificado->complemento . "\n" . mb_strtoupper($certificado->bairro) . "\n" . mb_strtoupper($certificado->cidade) . ", " . mb_strtoupper($certificado->estado) . "\n" . "CEP: " . mb_strtoupper($certificado->cep)), 0, '');

            $pdf->AddPage();

//            $pdf->Line(20, 74, 190, 74);
//            $pdf->Line(20, 74.2, 190, 74.2);
//            $pdf->Line(20, 74.5, 190, 74.5);
//            $pdf->Line(20, 74.7, 190, 74.7);
//            $pdf->Line(20, 74.9, 190, 74.9);
            $pdf->SetFont('Arial', '', 8);
            $pdf->setXY("23", "77");
            $pdf->Cell(0, 5, "Aluno(a): " . utf8_decode(mb_strtoupper($certificado->nomealuno)), 0, 1, ' ');
            $pdf->setXY(23, 81);

            if ($certificado->nota >= 50) {
                $pdf->MultiCell(120, 4, "Curso: " . utf8_decode(mb_strtoupper($certificado->nomecurso) . "\n" . "Carga Horária: " . $certificado->carga_horaria . " Horas" . "\n" . "Tipo: Capacitação/ Atualização" . "\n" . "Aproveitamento: " . $certificado->nota), 0, '');
            } else {
                $pdf->MultiCell(120, 4, "Curso: " . utf8_decode(mb_strtoupper($certificado->nomecurso) . "\n" . "Carga Horária: " . $certificado->carga_horaria . " Horas" . "\n" . "Tipo: Capacitação/ Atualização" . "\n"));
            }
            $pdf->SetFont('Arial', '', 8);
            $pdf->setXY(158, 77);
            //Rg:1 ; CPF:2 ; CNH:3
            $tipo_doc = $assina['tipo_doc'];
            if ($tipo_doc == 1) {
                $pdf->Cell(0, 5, "RG: " . strtoupper($assina['documento']), 0, 1, 'L');
            } else if ($tipo_doc == 2) {
                $pdf->Cell(0, 5, "CPF: " . strtoupper($assina['documento']), 0, 1, 'L');
            } else if ($tipo_doc == 3) {
                $pdf->Cell(0, 5, "CNH: " . strtoupper($assina['documento']), 0, 1, 'L');
            }
            $pdf->setXY(158, 81);
            if ($certificado->nota >= 50) {
                $pdf->Cell(0, 5, utf8_decode('Período: ') . date("d/m/Y", strtotime($certificado->primeiro_dia)), 0, 1, 'L');
                $pdf->setXY(158, 85);
                $pdf->Cell(0, 5, utf8_decode('a ') . date("d/m/Y", strtotime($certificado->ultimo_dia)), 0, 1, 'L');
                $pdf->setXY(158, 89);
            } else {
                $pdf->Cell(0, 5, utf8_decode('Período: ') . date("d/m/Y", strtotime($certificado->primeiro_dia)), 0, 1, 'L');
                $pdf->setXY(158, 85);
            }
            $pdf->Cell(0, 5, utf8_decode('Cert. Nº 008.') . $certificado->id_historico, 0, 1, 'L');
            $pdf->setXY(158, 93);
            if ($certificado->nota >= 50) {
                $pdf->Cell(0, 5, utf8_decode('Situação: Aprovado'), 0, 1, 'L');
            }
            $pdf->Line(20, 102, 190, 102);
            $pdf->Line(20, 102, 190, 102);

            $pdf->setY(103);
            $pdf->SetFont('Arial', 'B', 9);
            $pdf->setX(92);
            $pdf->Cell(0, 5, utf8_decode('Conteúdo do Curso '));

            $pdf->setY(114);
            $pdf->SetFont('Arial', '', 8);
            $pdf->setX(25);

            $conteudo = explode("<br />", nl2br($certificado->ementa));
            $txt = str_replace('.', '', $conteudo);
            foreach ($txt as $nomes) {
                $ementa .= $nomes . ';';
            }


            $regra = substr($ementa, 0, -1);
            $implode_descricao = str_replace("\n", "", $regra);

            $pdf->setXY(22, 107);
            $pdf->MultiCell(170, 5, utf8_decode($implode_descricao), 0, 'J');

            $pdf->setXY(150, 140);
            $pdf->SetFont('Arial', 'B', 9);
            $pdf->MultiCell(0, 5, utf8_decode('Belém, ') . date('d/m/Y'), 0, 'L');

            $pdf->Line(20, 156, 200, 156);

            $pdf->SetFont('Arial', '', 8);
            $texto = utf8_decode("Base Legal: Lei Nº 9394/96, Art 40, Resolução CNE/CEB Nº 6/2012, Art. 25º. Decreto 5154/2004, Art. 3º");

            $pdf->SetFont('Arial', '', 8);
            $pdf->setXY(20, 156);
            $pdf->MultiCell(0, 5, $texto, 0, 'L');
            $pdf->setXY(20, 160);
            $pdf->MultiCell(0, 5, 'Autenticar em: www.amazoniacursos.com.br', 0, 'L');
            $pdf->setXY(20, 164);
            $pdf->MultiCell(0, 5, utf8_decode('Código de Autenticação: ') . $certificado->cod_autenticacao, 0, 'L');
            $pdf->setXY(20, 168);
            $pdf->MultiCell(0, 5, utf8_decode('Observação: Conteúdo completo no autenticador. Certificado gerado eletronicamente.'), 0, 'L');
            $ementa = '';
        }

        $pdf->Output();
    } else {
        $this->certificadoantigo();  
    }
   
  }
  
  public function geraetiqueta() {

        $certificados = $this->Certificado_Model->getAllCertificadosPorAluno();

        $pdf = new Codebar('P', 'mm', 'A4');
        $pdf->SetFont('Arial', '', 12);
        foreach ($certificados as $certificado) {
            $pdf->AddPage();

            $pdf->setY(60);
            $pdf->setX(40);
        if ($certificado->complemento != NULL) {
            $pdf->MultiCell(97, 3.5, "\n\n" . utf8_decode($certificado->nomealuno) . "\n\n\n" . utf8_decode($certificado->endereco) . ", " . $certificado->numero . "\n\n" . utf8_decode($certificado->complemento) . ",\n\n" . utf8_decode($certificado->bairro) . "\n\n" . utf8_decode($certificado->cidade) . ", " . utf8_decode($certificado->estado) . "\n\n\nCEP: " . $certificado->cep, 1, 'L');
        } else {
            $pdf->MultiCell(97, 3.5, "\n\n" . utf8_decode($certificado->nomealuno) . "\n\n\n" . utf8_decode($certificado->endereco) . ", " . $certificado->numero . "\n\n" .  utf8_decode($certificado->bairro) . "\n\n" . utf8_decode($certificado->cidade) . ", " . utf8_decode($certificado->estado) . "\n\n\nCEP: " . $certificado->cep, 1, 'L');

        }    
            $pdf->Image('../../amazonia/assets/img/sdfwufg2.jpg', 80, 10, 40, 40); //Logo
        }
        $pdf->Output();
    }
    
    public function certificadoantigo() {
      
      $certificados = $this->Certificado_Model->getAllCertificados();
      
        if ($certificados != NULL) {
            $pdf = new Codebar('P', 'mm', 'A4');
            $pdf->SetFont('Arial','B',8);
            $pdf->Ln(10);
            $pdf->setX("10");
            $pdf->Ln(5);
            $pdf->AliasNbPages();

            foreach ($certificados as $certificado) {

                $assina = $this->Certificado_Model->getAssinaturaAtual($certificado->id_aluno);
           
                

                $pdf->AddPage();
                
                $pdf->setY("58");
                $pdf->setX("5");
                $pdf->SetFont('Arial','',12);
                $pdf->Cell(0,-20,'Conferido a',0,1,'C');
                $pdf->SetFont('Arial','B',10);
                $pdf->Cell(0,33,utf8_decode(strtoupper($certificado->nomealuno)), 0, 1, 'C');
                $pdf->SetFont('Arial','B',10);
//                $pdf->Cell(0,0,utf8_decode(strtoupper($certificado->nomealuno)), 0, 1, 'C');
                $tipo_doc = $assina['tipo_doc'];
                $pdf->setY("68");
                if (empty($assina['documento'])) {
                $pdf->setX("10");
                } else {
//                $pdf->setX("87");    
                }
                $pdf->SetFont('Arial','B',10);
                if (!empty($assina['documento'])) {
                if ($tipo_doc == 1) {
//                    $pdf->setX("93");
                    $pdf->Cell(0, -17, "RG: " . strtoupper($assina['documento']), 0, 1, 'C');
                } else if ($tipo_doc == 2) {
//                    $pdf->setX("87");
                    $pdf->Cell(0, -17, "CPF: " . strtoupper($assina['documento']), 0, 1, 'C');
                } else {
//                    $pdf->setX("88");
                    $pdf->Cell(0,-17, "CNH: " . strtoupper($assina['documento']), 0, 1, 'C');
                }
                }
                $pdf->SetFont('Arial','',10);
                
                
               
                // SITUAÇÃO

                if ($certificado->concluido == 1) {

                    if ($certificado->nota >= 50) {
                        $situacao = utf8_decode('Por ter concluído o Curso Livre ');
                        $situacao2 = "Aprovado";
                    } else {
                        $situacao = utf8_decode('Por ter participado do Curso Livre ');
                        $situacao2 = "Reprovado";
                    }
                } else {
                    $situacao = utf8_decode('Por ter participado do Curso Livre ');
                    $situacao2 = "Cursando";
                }
                if (empty($assina['documento'])) { 
                $pdf->Cell(0, -15,$situacao,0,1,'C');
                } else {
                $pdf->Cell(0,  26,$situacao,0,1,'C');    
                }
                $curso = utf8_decode($certificado->nomecurso);
                if (empty($assina['documento'])) {
                $pdf->setY(66);
                } else {
                $pdf->setY(69);    
                }
                $pdf->MultiCell(0, 5, $curso, 0, 'C');
                $pdf->setY(80);
                $pdf->setX(40); $pdf->Cell(0, 5, utf8_decode('Tipo: Capacitação/Atualização'), 0, 1);
                if ($certificado->nota >= 50) {
                $pdf->setX(40); $pdf->Cell(0, 5, 'Aproveitamento: ' . number_format($certificado->nota, 1, ',', '.'), 0, 1);
                }
                $pdf->setX(40); $pdf->Cell(0, 5, utf8_decode('Certificado Registrado Sob. Nº 008.') . $certificado->id_historico, 0, 1);

                // HISTÓRICO
//                if ($certificado->concluido == 1) {
//                    if ($certificado->nota >= 50) {
//                        $pdf->setX(50);
//                        $pdf->Cell(0, 5, 'Aproveitamento: ' . number_format($certificado->nota, 1, ',', '.'), 0, 1);
//                    }
//                }

//                $pdf->setX(50);

                // HISTÓRICO E CARGA HORÁRIA
                $pdf->setY(80);
                $pdf->setX(120); $pdf->Cell(0, 5, utf8_decode('Carga Horária: ') . $certificado->carga_horaria . ' Horas', 0, 1);
                $pdf->setX(120);
                // FIM DO HISTÓRICO E CARGA HORÁRIA
 
                if ($certificado->concluido == 1) {
//                        $pdf->setX(180);
                        $pdf->Cell(0, 5, utf8_decode('Período: ') . date("d/m/Y", strtotime($certificado->primeiro_dia)) . utf8_decode(' a ') . date("d/m/Y", strtotime($certificado->ultimo_dia)), 0, 1);
                    
                } else {
                    $pdf->Cell(0, 5, utf8_decode('Período: ') . date("d/m/Y", strtotime($certificado->primeiro_dia)), 0, 1);
                }
                $pdf->SetFont('Arial', '', 10);
                $pdf->SetXY(10, 100);
                $texto = utf8_decode("Base Legal: Lei Nº 9394/96, Art 40, Resolução CNE/CEB Nª 6/2012, Art. 25ª.");
                $texto2 = utf8_decode("Decreto 5154/2004, Art. 3ª");
                $pdf->MultiCell(0, 5, $texto, 0, 'C');
                $pdf->MultiCell(0, 5, $texto2, 0, 'C');

//                if ($certificado->nota >= 50) {
//                    $pdf->setY(117);
//                    $pdf->Cell(0, 10, utf8_decode('Situação: ') . $situacao2, 0, 1, 'C');
//                }
                $pdf->SetFont('Arial', '', 10);
                $pdf->Cell(305, 6, utf8_decode('Belém, ') . date("d/m/Y"), 0, 1, 'C');
                $pdf->SetFont('Arial', '', 10);
                $pdf->SetXY(115,135);
//                if ($certificado->nota >= 50) {
//                    $pdf->Cell(430, 22, utf8_decode('Belém, ') . date("d/m/Y"), 0, 1, 'C');
//                } else {
//                    $pdf->Cell(430, 8, utf8_decode('Belém, ') . date("d/m/Y"), 0, 1, 'C');
//                }

                // ASSINATURA DO ALUNO
//                if ($assina['assinatura'] && $assina['ativo'] == 1) {
//
//                    $pdf->Image('../../amazonia/assets/img/assinatura/' . $assina['assinatura'], 30, 146, 95, 45); // Assinatura dos Alunos  
//                }
//
//                $pdf->SetFont('Arial', '', 13);
//                $pdf->SetLineWidth(0.2);
//                $pdf->Line(30, 170, 125, 170);
//                $pdf->SetXY(50, 175);
//                $pdf->Cell(0, 1, '', 0, 0);
                // Página do Verso	
                $pdf->AddPage();
//                $pdf->Image('../../amazonia/assets/img/certificado/Certificado-4-Costa.jpg', 0, 0, 297);

                $pdf->EAN13(151, 10, $certificado->id_certificado);
//                  $pdf->EAN13(151, 30, $certificado->id_certificado);  
                $pdf->SetFont('Arial', '', 11);
//                $pdf->SetX(18);
                $pdf->Cell(0, 8, utf8_decode('Conteúdo - Ementa'), 0, 1, 'L');
                $pdf->SetXY(10, 34);
                $texto = strip_tags(utf8_decode($certificado->ementa));
                $pdf->SetFont('Arial', '', 8);
                $pdf->MultiCell(0, 5, preg_replace('/[^\p{L}\p{N}\s]/', '',  $texto), 0, 'L');
                $pdf->SetXY(10, 20);
                $pdf->Cell(0, 1, 'Certificado emitido eletronicamente', 0, 0);
                $pdf->SetXY(10,12);
                $pdf->Cell(0, 1, 'Autenticar em: www.amazoniacursos.com.br', 0, 0);
                $pdf->SetXY(10, 16);
                $pdf->Cell(0, 1, utf8_decode('Código de Autenticação: ') . $certificado->cod_autenticacao, 0, 0);
                  
//                $pdf->Cell(0, 8, utf8_decode('Conteúdo - Ementa'), 0, 1, 'L');
//                $pdf->SetXY(10, 34);
//                $texto = strip_tags(utf8_decode($certificado->ementa));
//                $pdf->SetFont('Arial', '', 8);
//                $pdf->MultiCell(0, 5, preg_replace('/[^\p{L}\p{N}\s]/', '', wordwrap($texto,78,"\n")), 0, 'L');
//                $pdf->SetXY(150, 62);
//                $pdf->Cell(0, 1, 'Certificado emitido eletronicamente', 0, 0);
//                $pdf->SetXY(150, 54);
//                $pdf->Cell(0, 1, 'Autenticar em: www.amazoniacursos.com.br', 0, 0);
//                $pdf->SetXY(150, 58);
//                $pdf->Cell(0, 1, utf8_decode('Código de Autenticação: ') . $certificado->cod_autenticacao, 0, 0);
//                  
                }
                
            $pdf->Output();
            
        }
    }
    
    public function certificadoantigo_old() {
      
      $certificados = $this->Certificado_Model->getAllCertificados();
      
        if ($certificados != NULL) {
            $pdf = new Codebar('P', 'mm', 'A4');
            $pdf->SetFont('Arial','B',8);
            $pdf->Ln(10);
            $pdf->setX("10");
            $pdf->Ln(5);
            $pdf->AliasNbPages();

            foreach ($certificados as $certificado) {

                $assina = $this->Certificado_Model->getAssinaturaAtual($certificado->id_aluno);
           
                

                $pdf->AddPage();
                
                $pdf->setY("58");
                $pdf->setX("5");
                $pdf->SetFont('Arial','',12);
                $pdf->Cell(0,-20,'Conferido a',0,1,'C');
                $pdf->SetFont('Arial','B',10);
                $pdf->Cell(0,33,utf8_decode(strtoupper($certificado->nomealuno)), 0, 1, 'C');
                $pdf->SetFont('Arial','B',10);
//                $pdf->Cell(0,0,utf8_decode(strtoupper($certificado->nomealuno)), 0, 1, 'C');
                $tipo_doc = $assina['tipo_doc'];
                $pdf->setY("68");
                if (empty($assina['documento'])) {
                $pdf->setX("10");
                } else {
//                $pdf->setX("87");    
                }
                $pdf->SetFont('Arial','B',10);
                if (!empty($assina['documento'])) {
                if ($tipo_doc == 1) {
//                    $pdf->setX("93");
                    $pdf->Cell(0, -17, "RG: " . strtoupper($assina['documento']), 0, 1, 'C');
                } else if ($tipo_doc == 2) {
//                    $pdf->setX("87");
                    $pdf->Cell(0, -17, "CPF: " . strtoupper($assina['documento']), 0, 1, 'C');
                } else {
//                    $pdf->setX("88");
                    $pdf->Cell(0,-17, "CNH: " . strtoupper($assina['documento']), 0, 1, 'C');
                }
                }
                $pdf->SetFont('Arial','',10);
                
                
               
                // SITUAÇÃO

                if ($certificado->concluido == 1) {

                    if ($certificado->nota >= 50) {
                        $situacao = utf8_decode('Por ter concluído o Curso Livre ');
                        $situacao2 = "Aprovado";
                    } else {
                        $situacao = utf8_decode('Por ter participado do Curso Livre ');
                        $situacao2 = "Reprovado";
                    }
                } else {
                    $situacao = utf8_decode('Por ter participado do Curso Livre ');
                    $situacao2 = "Cursando";
                }
                if (empty($assina['documento'])) { 
                $pdf->Cell(0, -15,$situacao,0,1,'C');
                } else {
                $pdf->Cell(0,  26,$situacao,0,1,'C');    
                }
                $curso = utf8_decode($certificado->nomecurso);
                if (empty($assina['documento'])) {
                $pdf->setY(66);
                } else {
                $pdf->setY(69);    
                }
                $pdf->MultiCell(0, 5, $curso, 0, 'C');
                $pdf->setY(80);
                $pdf->setX(40); $pdf->Cell(0, 5, utf8_decode('Tipo: Capacitação/Atualização'), 0, 1);
                if ($certificado->nota >= 50) {
                $pdf->setX(40); $pdf->Cell(0, 5, 'Aproveitamento: ' . number_format($certificado->nota, 1, ',', '.'), 0, 1);
                }
                $pdf->setX(40); $pdf->Cell(0, 5, utf8_decode('Certificado Registrado Sob. Nº 008.') . $certificado->id_historico, 0, 1);

                // HISTÓRICO
//                if ($certificado->concluido == 1) {
//                    if ($certificado->nota >= 50) {
//                        $pdf->setX(50);
//                        $pdf->Cell(0, 5, 'Aproveitamento: ' . number_format($certificado->nota, 1, ',', '.'), 0, 1);
//                    }
//                }

//                $pdf->setX(50);

                // HISTÓRICO E CARGA HORÁRIA
                $pdf->setY(80);
                $pdf->setX(120); $pdf->Cell(0, 5, utf8_decode('Carga Horária: ') . $certificado->carga_horaria . ' Horas', 0, 1);
                $pdf->setX(120);
                // FIM DO HISTÓRICO E CARGA HORÁRIA
 
                if ($certificado->concluido == 1) {
//                        $pdf->setX(180);
                        $pdf->Cell(0, 5, utf8_decode('Período: ') . date("d/m/Y", strtotime($certificado->primeiro_dia)) . utf8_decode(' a ') . date("d/m/Y", strtotime($certificado->ultimo_dia)), 0, 1);
                    
                } else {
                    $pdf->Cell(0, 5, utf8_decode('Período: ') . date("d/m/Y", strtotime($certificado->primeiro_dia)), 0, 1);
                }
                $pdf->SetFont('Arial', '', 10);
                $pdf->SetXY(10, 100);
                $texto = utf8_decode("Base Legal: Lei Nº 9394/96, Art 40, Resolução CNE/CEB Nª 6/2012, Art. 25ª.");
                $texto2 = utf8_decode("Decreto 5154/2004, Art. 3ª");
                $pdf->MultiCell(0, 5, $texto, 0, 'C');
                $pdf->MultiCell(0, 5, $texto2, 0, 'C');

//                if ($certificado->nota >= 50) {
//                    $pdf->setY(117);
//                    $pdf->Cell(0, 10, utf8_decode('Situação: ') . $situacao2, 0, 1, 'C');
//                }
                $pdf->SetFont('Arial', '', 10);
                $pdf->Cell(305, 6, utf8_decode('Belém, ') . date("d/m/Y"), 0, 1, 'C');
                $pdf->SetFont('Arial', '', 10);
                $pdf->SetXY(115,135);
//                if ($certificado->nota >= 50) {
//                    $pdf->Cell(430, 22, utf8_decode('Belém, ') . date("d/m/Y"), 0, 1, 'C');
//                } else {
//                    $pdf->Cell(430, 8, utf8_decode('Belém, ') . date("d/m/Y"), 0, 1, 'C');
//                }

                // ASSINATURA DO ALUNO
//                if ($assina['assinatura'] && $assina['ativo'] == 1) {
//
//                    $pdf->Image('../../amazonia/assets/img/assinatura/' . $assina['assinatura'], 30, 146, 95, 45); // Assinatura dos Alunos  
//                }
//
//                $pdf->SetFont('Arial', '', 13);
//                $pdf->SetLineWidth(0.2);
//                $pdf->Line(30, 170, 125, 170);
//                $pdf->SetXY(50, 175);
//                $pdf->Cell(0, 1, '', 0, 0);
                // Página do Verso	
                $pdf->AddPage();
//                $pdf->Image('../../amazonia/assets/img/certificado/Certificado-4-Costa.jpg', 0, 0, 297);

                $pdf->EAN13(151, 30, $certificado->id_certificado);
                
                $pdf->SetFont('Arial', '', 11);
//                $pdf->SetX(18);
                $pdf->Cell(0, 8, utf8_decode('Conteúdo - Ementa'), 0, 1, 'L');
                $pdf->SetXY(10, 34);
                $texto = strip_tags(utf8_decode($certificado->ementa));
                $pdf->SetFont('Arial', '', 8);
                $pdf->MultiCell(0, 5, preg_replace('/[^\p{L}\p{N}\s]/', '', $texto), 0, 'L');
                $pdf->SetXY(150, 62);
                $pdf->Cell(0, 1, 'Certificado emitido eletronicamente', 0, 0);
                $pdf->SetXY(150, 54);
                $pdf->Cell(0, 1, 'Autenticar em: www.amazoniacursos.com.br', 0, 0);
                $pdf->SetXY(150, 58);
                $pdf->Cell(0, 1, utf8_decode('Código de Autenticação: ') . $certificado->cod_autenticacao, 0, 0);
                
                }
            $pdf->Output();
        }
    }

}
